## LassoIdWsf2DiscoSvcMDRegister LassoIdWsf2DiscoSvcMDRegister — <disco:SvcMDRegister> |

## Functions

LassoIdWsf2DiscoSvcMDRegister * | lasso_idwsf2_disco_svc_md_register_new ()
LassoIdWsf2DiscoSvcMDRegister * | lasso_idwsf2_disco_svc_md_register_new_full ()

## Types and Values

struct | LassoIdWsf2DiscoSvcMDRegister

## Description

Figure 162. Schema fragment for disco:SvcMDRegister

    <xs:complexType name="SvcMDRegisterType">
      <xs:sequence>
        <xs:element ref="SvcMD" maxOccurs="unbounded" />
      </xs:sequence>
      <xs:anyAttribute namespace="##other" processContents="lax"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_disco_svc_md_register_new ()

    LassoIdWsf2DiscoSvcMDRegister *
    lasso_idwsf2_disco_svc_md_register_new
                                   (void);

Creates a new LassoIdWsf2DiscoSvcMDRegister object.

#### Returns

a newly created LassoIdWsf2DiscoSvcMDRegister object

### lasso_idwsf2_disco_svc_md_register_new_full ()

    LassoIdWsf2DiscoSvcMDRegister *
    lasso_idwsf2_disco_svc_md_register_new_full
                                   (const gchar *service_type,
                                    const gchar *abstract,
                                    const gchar *provider_id,
                                    const gchar *soap_endpoint);

Create and initialize a complete message for registering new metadatas at a discovery service.

#### Parameters

service_type | the service type for the registered metadatas |
abstract | the human description for the service |
provider_id | the SAML provider id of the service |
soap_endpoint | the SOAP endpoint URL for the service |

#### Returns

a new filled and initialized LassoIdWsf2DiscoSvcMDRegister if successfull, NULL otherwise.

## Types and Values

### struct LassoIdWsf2DiscoSvcMDRegister

    struct LassoIdWsf2DiscoSvcMDRegister {
    	LassoNode parent;

    	/* elements */
    	GList *SvcMD; /* of LassoIdWsf2DiscoSvcMetadata */
    	/* attributes */
    	GHashTable *attributes;
    };